<?php 

	$tattoo_expert_custom_style = '';

	// Logo Size
	$tattoo_expert_logo_top_padding = get_theme_mod('tattoo_expert_logo_top_padding');
	$tattoo_expert_logo_bottom_padding = get_theme_mod('tattoo_expert_logo_bottom_padding');
	$tattoo_expert_logo_left_padding = get_theme_mod('tattoo_expert_logo_left_padding');
	$tattoo_expert_logo_right_padding = get_theme_mod('tattoo_expert_logo_right_padding');

	if( $tattoo_expert_logo_top_padding != '' || $tattoo_expert_logo_bottom_padding != '' || $tattoo_expert_logo_left_padding != '' || $tattoo_expert_logo_right_padding != ''){
		$tattoo_expert_custom_style .=' .logo {';
			$tattoo_expert_custom_style .=' padding-top: '.esc_attr($tattoo_expert_logo_top_padding).'px; padding-bottom: '.esc_attr($tattoo_expert_logo_bottom_padding).'px; padding-left: '.esc_attr($tattoo_expert_logo_left_padding).'px; padding-right: '.esc_attr($tattoo_expert_logo_right_padding).'px;';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_logo_size = get_theme_mod('tattoo_expert_logo_size');
	if( $tattoo_expert_logo_size != '') {
		if($tattoo_expert_logo_size == 100) {
			$tattoo_expert_custom_style .=' .custom-logo-link img {';
				$tattoo_expert_custom_style .=' width: 350px;';
			$tattoo_expert_custom_style .=' }';
		} else if($tattoo_expert_logo_size >= 10 && $tattoo_expert_logo_size < 100) {
			$tattoo_expert_custom_style .=' .custom-logo-link img {';
				$tattoo_expert_custom_style .=' width: '.esc_attr($tattoo_expert_logo_size).'%;';
			$tattoo_expert_custom_style .=' }';
		}
	}

	// service section padding
	$tattoo_expert_service_section_padding = get_theme_mod('tattoo_expert_service_section_padding');

	if( $tattoo_expert_service_section_padding != ''){
		$tattoo_expert_custom_style .=' #our_service {';
			$tattoo_expert_custom_style .=' padding-top: '.esc_attr($tattoo_expert_service_section_padding).'px; padding-bottom: '.esc_attr($tattoo_expert_service_section_padding).'px;';
		$tattoo_expert_custom_style .=' }';
	}

	// Site Title Font Size
	$tattoo_expert_site_title_font_size = get_theme_mod('tattoo_expert_site_title_font_size');
	if( $tattoo_expert_site_title_font_size != ''){
		$tattoo_expert_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$tattoo_expert_custom_style .=' font-size: '.esc_attr($tattoo_expert_site_title_font_size).'px;';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_site_title_color = get_theme_mod('tattoo_expert_site_title_color');

	if ( $tattoo_expert_site_title_color != '') {
		$tattoo_expert_custom_style .=' .logo h1 a, .logo p.site-title a {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_site_title_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	// Site Tagline Font Size
	$tattoo_expert_site_tagline_font_size = get_theme_mod('tattoo_expert_site_tagline_font_size');
	if( $tattoo_expert_site_tagline_font_size != ''){
		$tattoo_expert_custom_style .=' .logo p.site-description {';
			$tattoo_expert_custom_style .=' font-size: '.esc_attr($tattoo_expert_site_tagline_font_size).'px;';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_slider_hide_show = get_theme_mod('tattoo_expert_slider_hide_show',false);
	if( $tattoo_expert_slider_hide_show == true){
		$tattoo_expert_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$tattoo_expert_custom_style .=' display:none;';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_site_tagline_color = get_theme_mod('tattoo_expert_site_tagline_color');

	if ( $tattoo_expert_site_tagline_color != '') {
		$tattoo_expert_custom_style .=' p.site-description {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_site_tagline_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	//Menu animation
	$tattoo_expert_dropdown_anim = get_theme_mod('tattoo_expert_dropdown_anim');

	if ( $tattoo_expert_dropdown_anim != '') {
		$tattoo_expert_custom_style .=' .nav-menu ul ul {';
			$tattoo_expert_custom_style .=' animation:'.esc_attr($tattoo_expert_dropdown_anim).' 1s ease;';
		$tattoo_expert_custom_style .=' }';
	}

	// Footer scc
	$tattoo_expert_copyright_padding = get_theme_mod('tattoo_expert_copyright_padding');
	if( $tattoo_expert_copyright_padding != ''){
		$tattoo_expert_custom_style .=' .site-info {';
			$tattoo_expert_custom_style .=' padding-top: '.esc_attr($tattoo_expert_copyright_padding).'px; padding-bottom: '.esc_attr($tattoo_expert_copyright_padding).'px;';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_copyright_color = get_theme_mod('tattoo_expert_copyright_color');

	if ( $tattoo_expert_copyright_color != '') {
		$tattoo_expert_custom_style .=' .site-info p, .site-info a {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_copyright_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_copyrightbg_color = get_theme_mod('tattoo_expert_copyrightbg_color');

	if ( $tattoo_expert_copyrightbg_color != '') {
		$tattoo_expert_custom_style .=' .copyright {';
			$tattoo_expert_custom_style .=' background-color:'.esc_attr($tattoo_expert_copyrightbg_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_footer_widgets_color = get_theme_mod('tattoo_expert_footer_widgets_color');

	if ( $tattoo_expert_footer_widgets_color != '') {
		$tattoo_expert_custom_style .=' .site-footer h3.widget-title {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_footer_widgets_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_footer_widgets_menu_color = get_theme_mod('tattoo_expert_footer_widgets_menu_color');

	if ( $tattoo_expert_footer_widgets_menu_color != '') {
		$tattoo_expert_custom_style .=' .widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_footer_widgets_menu_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_footerbg_color = get_theme_mod('tattoo_expert_footerbg_color');

	if ( $tattoo_expert_footerbg_color != '') {
		$tattoo_expert_custom_style .=' #colophon {';
			$tattoo_expert_custom_style .=' background-color:'.esc_attr($tattoo_expert_footerbg_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	//Topbar colors
	$tattoo_expert_topbaricon_color = get_theme_mod('tattoo_expert_topbaricon_color');

	if ( $tattoo_expert_topbaricon_color != '') {
		$tattoo_expert_custom_style .=' .contact i {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_topbaricon_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_topbartext_color = get_theme_mod('tattoo_expert_topbartext_color');

	if ( $tattoo_expert_topbartext_color != '') {
		$tattoo_expert_custom_style .=' .contact span a {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_topbartext_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_topbarbg_color = get_theme_mod('tattoo_expert_topbarbg_color');

	if ( $tattoo_expert_topbarbg_color != '') {
		$tattoo_expert_custom_style .='.top-header {';
			$tattoo_expert_custom_style .=' background-color:'.esc_attr($tattoo_expert_topbarbg_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	//Social colors
	$tattoo_expert_social_color = get_theme_mod('tattoo_expert_social_color');

	if ( $tattoo_expert_social_color != '') {
		$tattoo_expert_custom_style .=' .top-header .social-icons i {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_social_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	//Slider colors
	$tattoo_expert_slider_font_size = get_theme_mod('tattoo_expert_slider_font_size');
	if( $tattoo_expert_slider_font_size != ''){
		$tattoo_expert_custom_style .=' #slider .inner_carousel h1 {';
			$tattoo_expert_custom_style .=' font-size: '.esc_attr($tattoo_expert_slider_font_size).'px;';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_slider_text_font_size = get_theme_mod('tattoo_expert_slider_text_font_size');
	if( $tattoo_expert_slider_text_font_size != ''){
		$tattoo_expert_custom_style .=' #slider .inner_carousel p {';
			$tattoo_expert_custom_style .=' font-size: '.esc_attr($tattoo_expert_slider_text_font_size).'px;';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_slider_color = get_theme_mod('tattoo_expert_slider_color');

	if ( $tattoo_expert_slider_color != '') {
		$tattoo_expert_custom_style .=' #slider .inner_carousel h1 {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_slider_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_slider_text_color = get_theme_mod('tattoo_expert_slider_text_color');

	if ( $tattoo_expert_slider_text_color != '') {
		$tattoo_expert_custom_style .=' #slider .inner_carousel p {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_slider_text_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_sliderbtn_color = get_theme_mod('tattoo_expert_sliderbtn_color');
	$tattoo_expert_sliderbtnbg_color = get_theme_mod('tattoo_expert_sliderbtnbg_color');

	if ( $tattoo_expert_slider_color != '') {
		$tattoo_expert_custom_style .=' #slider .read-btn a, .article_content .read-btn a {';
			$tattoo_expert_custom_style .=' color: '.esc_attr($tattoo_expert_sliderbtn_color).'; background-color: '.esc_attr($tattoo_expert_sliderbtnbg_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_sliderbtnhvr_color = get_theme_mod('tattoo_expert_sliderbtnhvr_color');
	$tattoo_expert_sliderbtnhvrbg_color = get_theme_mod('tattoo_expert_sliderbtnhvrbg_color');

	if ( $tattoo_expert_slider_color != '') {
		$tattoo_expert_custom_style .=' #slider .read-btn a:hover, .article_content .read-btn a:hover {';
			$tattoo_expert_custom_style .=' color: '.esc_attr($tattoo_expert_sliderbtnhvr_color).' !important; background-color: '.esc_attr($tattoo_expert_sliderbtnhvrbg_color).'!important;';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_slidernp_color = get_theme_mod('tattoo_expert_slidernp_color');
	if ( $tattoo_expert_slidernp_color != '') {
		$tattoo_expert_custom_style .=' #slider .carousel-control-prev i, #slider .carousel-control-next i{';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_slidernp_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	//Service colors
	$tattoo_expert_service_img_size = get_theme_mod('tattoo_expert_service_img_size');

	if( $tattoo_expert_service_img_size != ''){
		$tattoo_expert_custom_style .=' .service-section img {';
			$tattoo_expert_custom_style .=' width: '.esc_attr($tattoo_expert_service_img_size).'px; height: '.esc_attr($tattoo_expert_service_img_size).'px;';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_servicetitle_color = get_theme_mod('tattoo_expert_servicetitle_color');

	if ( $tattoo_expert_servicetitle_color != '') {
		$tattoo_expert_custom_style .=' #our_service h2 {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_servicetitle_color).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_servictext_color = get_theme_mod('tattoo_expert_servictext_color	');

	if ( $tattoo_expert_servictext_color	 != '') {
		$tattoo_expert_custom_style .=' .content-topic h3 a {';
			$tattoo_expert_custom_style .=' color:'.esc_attr($tattoo_expert_servictext_color	).';';
		$tattoo_expert_custom_style .=' }';
	}

	$tattoo_expert_servicehvr_color = get_theme_mod('tattoo_expert_servicehvr_color	');

	if ( $tattoo_expert_servicehvr_color	 != '') {
		$tattoo_expert_custom_style .=' .content-topic h3 {';
			$tattoo_expert_custom_style .=' background-color:'.esc_attr($tattoo_expert_servicehvr_color	).';';
		$tattoo_expert_custom_style .=' }';
	}